Search documentation of wx

# View Source wxAuiTabArt (wx v2.4.3)

Tab art provider defines all the drawing functions used by `wxAuiNotebook`.

This allows the `wxAuiNotebook` to have a pluggable look-and-feel.

By default, a `wxAuiNotebook` uses an instance of this class called `wxAuiDefaultTabArt` (not implemented in wx) which provides bitmap art and a colour scheme that is adapted to the major platforms' look. You can either derive from that class to alter its behaviour or write a completely new tab art class.

Another example of creating a new `wxAuiNotebook` tab bar is `wxAuiSimpleTabArt`.

Call `wxAuiNotebook:setArtProvider/2` to make use of this new tab art.

wxWidgets docs: wxAuiTabArt

# Summary

## Types

wxAuiTabArt()

## Functions

setActiveColour(This, Colour)

Sets the colour of the selected tab.

setColour(This, Colour)

Sets the colour of the inactive tabs.

setFlags(This, Flags)

Sets flags.

setMeasuringFont(This, Font)

Sets the font used for calculating measurements.

setNormalFont(This, Font)

Sets the normal font for drawing labels.

setSelectedFont(This, Font)

Sets the font for drawing text for selected UI elements.

# Types

Link to this type

# wxAuiTabArt()

View Source

    -type wxAuiTabArt() :: wx:wx_object().

# Functions

Link to this function

# setActiveColour(This, Colour)

View Source

    -spec setActiveColour(This, Colour) -> ok when This :: wxAuiTabArt(), Colour :: wx:wx_colour().

Sets the colour of the selected tab.

Since: 2.9.2

Link to this function

# setColour(This, Colour)

View Source

    -spec setColour(This, Colour) -> ok when This :: wxAuiTabArt(), Colour :: wx:wx_colour().

Sets the colour of the inactive tabs.

Since: 2.9.2

Link to this function

# setFlags(This, Flags)

View Source

    -spec setFlags(This, Flags) -> ok when This :: wxAuiTabArt(), Flags :: integer().

Sets flags.

Link to this function

# setMeasuringFont(This, Font)

View Source

    -spec setMeasuringFont(This, Font) -> ok when This :: wxAuiTabArt(), Font :: wxFont:wxFont().

Sets the font used for calculating measurements.

Link to this function

# setNormalFont(This, Font)

View Source

    -spec setNormalFont(This, Font) -> ok when This :: wxAuiTabArt(), Font :: wxFont:wxFont().

Sets the normal font for drawing labels.

Link to this function

# setSelectedFont(This, Font)

View Source

    -spec setSelectedFont(This, Font) -> ok when This :: wxAuiTabArt(), Font :: wxFont:wxFont().

Sets the font for drawing text for selected UI elements.